
-- phpMyAdmin SQL Dump
-- version 2.11.4
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jan 04, 2013 at 11:32 AM
-- Server version: 5.1.57
-- PHP Version: 5.2.17

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Database: `a6638364_cec`
--

-- --------------------------------------------------------

--
-- Table structure for table `activitat`
--

DROP TABLE IF EXISTS `activitat`;
CREATE TABLE IF NOT EXISTS `activitat` (
  `idActivitat` int(11) NOT NULL AUTO_INCREMENT,
  `categoria` int(11) DEFAULT NULL REFERENCES categoria(idCategoria),
  `seccio` int(11) DEFAULT NULL REFERENCES seccio(idSeccio),
  `nivell` int(11) DEFAULT NULL REFERENCES nivell(idNivell),
  `idComunitat` int(11) DEFAULT NULL REFERENCES comunitat(idComunitat),
  `idProvincia` int(11) DEFAULT NULL REFERENCES provincia(idProvincia),
  `idComarca` int(11) DEFAULT NULL REFERENCES comarca(idComarca`),
  `idVocal` int(11) DEFAULT NULL REFERENCES usuari(id),
  `datacreacio` date NOT NULL,
  `titol` varchar(200) COLLATE latin1_general_ci NOT NULL,
  `idTransport` int(11) DEFAULT NULL REFERENCES transport(idTransport),
  `obsViatge` varchar(150) COLLATE latin1_general_ci DEFAULT NULL,
  `participants` int(11) NOT NULL DEFAULT '0',
  `numDies` int(11) NOT NULL DEFAULT '1',
  `inici` date NOT NULL,
  `final` date NOT NULL,
  `notes` varchar(200) COLLATE latin1_general_ci DEFAULT NULL,
  `mapa` varchar(100) COLLATE latin1_general_ci DEFAULT NULL,
  `document` varchar(100) COLLATE latin1_general_ci DEFAULT NULL,
  `visible` int(11) DEFAULT '0',
  PRIMARY KEY (`idActivitat`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=27 ;

-- --------------------------------------------------------

--
-- Table structure for table `categoria`
--

DROP TABLE IF EXISTS `categoria`;
CREATE TABLE IF NOT EXISTS `categoria` (
  `idCategoria` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(45) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`idCategoria`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=13 ;

-- --------------------------------------------------------

--
-- Table structure for table `cat_subcat`
--

DROP TABLE IF EXISTS `cat_subcat`;
CREATE TABLE IF NOT EXISTS `cat_subcat` (
  `idCategoria` int(11) NOT NULL DEFAULT '0' REFERENCES categoria(idCategoria),
  `idSeccio` int(11) NOT NULL DEFAULT '0' REFERENCES seccio(idSeccio),
  PRIMARY KEY (`idCategoria`,`idSeccio`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `comarca`
--

DROP TABLE IF EXISTS `comarca`;
CREATE TABLE IF NOT EXISTS `comarca` (
  `idComarca` int(11) NOT NULL AUTO_INCREMENT,
  `idProvincia` int(11) DEFAULT NULL REFERENCES provincia(idProvincia),
  `nom` varchar(70) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`idComarca`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=44 ;

-- --------------------------------------------------------

--
-- Table structure for table `comunitat`
--

DROP TABLE IF EXISTS `comunitat`;
CREATE TABLE IF NOT EXISTS `comunitat` (
  `idComunitat` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(60) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`idComunitat`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=8 ;

-- --------------------------------------------------------

--
-- Table structure for table `configuraAdmin`
--

DROP TABLE IF EXISTS `configuraAdmin`;
CREATE TABLE IF NOT EXISTS `configuraAdmin` (
  `minimCerca` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `coordinadorLligatA`
--

DROP TABLE IF EXISTS `coordinadorLligatA`;
CREATE TABLE IF NOT EXISTS `coordinadorLligatA` (
  `idUsuari` int(11) NOT NULL DEFAULT '0' REFERENCES usuari(id),
  `idCategoria` int(11) NOT NULL DEFAULT '0' REFERENCES categoria(idCategoria),
  PRIMARY KEY (`idUsuari`,`idCategoria`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `diaActivitat`
--

DROP TABLE IF EXISTS `diaActivitat`;
CREATE TABLE IF NOT EXISTS `diaActivitat` (
  `idActivitat` int(11) NOT NULL DEFAULT '0' REFERENCES activitat(idActivitat),
  `idDia` int(11) NOT NULL DEFAULT '1',
  `tempsCami` int(11) DEFAULT '0',
  `desnivellP` int(11) DEFAULT '0',
  `desnivellN` int(11) DEFAULT '0',
  `itinerari` varchar(500) COLLATE latin1_general_ci DEFAULT NULL,
  `dataactivitat` date DEFAULT NULL,
  PRIMARY KEY (`idDia`,`idActivitat`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `estadisticaCerca`
--

DROP TABLE IF EXISTS `estadisticaCerca`;
CREATE TABLE IF NOT EXISTS `estadisticaCerca` (
  `idEst` int(11) NOT NULL AUTO_INCREMENT,
  `datesCerca` date NOT NULL,
  `datainici` date DEFAULT NULL,
  `datafinal` date DEFAULT NULL,
  `cat` varchar(25) COLLATE latin1_general_ci DEFAULT NULL,
  `nivell` varchar(25) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`idEst`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=68 ;

-- --------------------------------------------------------

--
-- Table structure for table `estadisticaCercaTotal`
--

DROP TABLE IF EXISTS `estadisticaCercaTotal`;
CREATE TABLE IF NOT EXISTS `estadisticaCercaTotal` (
  `idEstTo` int(11) NOT NULL AUTO_INCREMENT,
  `dates` date NOT NULL,
  PRIMARY KEY (`idEstTo`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=85 ;

-- --------------------------------------------------------

--
-- Table structure for table `estadisticaCercaTotalAux`
--

DROP TABLE IF EXISTS `estadisticaCercaTotalAux`;
CREATE TABLE IF NOT EXISTS `estadisticaCercaTotalAux` (
  `id_est` int(11) DEFAULT NULL REFERENCES estadisticaCercaTotal(idEstTo),
  `posicio` int(11) DEFAULT NULL,
  `cat` varchar(25) COLLATE latin1_general_ci DEFAULT NULL,
  `nivell` varchar(25) COLLATE latin1_general_ci DEFAULT NULL,
  `consultes` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `excesActivitats`
--

DROP TABLE IF EXISTS `excesActivitats`;
CREATE TABLE IF NOT EXISTS `excesActivitats` (
  `dia` date NOT NULL,
  `sobren` int(11) DEFAULT NULL,
  PRIMARY KEY (`dia`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `foto`
--

DROP TABLE IF EXISTS `foto`;
CREATE TABLE IF NOT EXISTS `foto` (
  `idFoto` int(11) NOT NULL AUTO_INCREMENT,
  `idActivitat` int(11) NOT NULL DEFAULT '0' REFERENCES activitat(idActivitat),
  `foto` varchar(50) COLLATE latin1_general_ci DEFAULT NULL,
  `ruta` varchar(200) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`idFoto`,`idActivitat`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `gustos`
--

DROP TABLE IF EXISTS `gustos`;
CREATE TABLE IF NOT EXISTS `gustos` (
  `id` int(11) NOT NULL DEFAULT '0' REFERENCES usuari(id),
  `cat` int(11) NOT NULL DEFAULT '0' REFERENCES categoria(idCategoria),
  `sec` int(11) NOT NULL DEFAULT '0' REFERENCES seccio(idSeccio),
  `nivell` int(11) NOT NULL DEFAULT '0' REFERENCES nivell(idNivell),
  PRIMARY KEY (`id`,`cat`,`sec`,`nivell`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `link`
--

DROP TABLE IF EXISTS `link`;
CREATE TABLE IF NOT EXISTS `link` (
  `idLink` int(11) NOT NULL AUTO_INCREMENT,
  `idActivitat` int(11) NOT NULL DEFAULT '0' REFERENCES activitat(idActivitat),
  `direccio` varchar(200) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`idLink`,`idActivitat`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `missatge`
--

DROP TABLE IF EXISTS `missatge`;
CREATE TABLE IF NOT EXISTS `missatge` (
  `idmiss` int(11) NOT NULL AUTO_INCREMENT,
  `envia` int(11) DEFAULT NULL REFERENCES usuari(id),
  `dates` date DEFAULT NULL,
  `hora` time DEFAULT NULL,
  `reb` int(11) DEFAULT NULL REFERENCES usuari(id),
  `miss` text COLLATE latin1_general_ci NOT NULL,
  `assumpte` varchar(30) COLLATE latin1_general_ci NOT NULL,
  `llegit` int(1) DEFAULT '0',
  PRIMARY KEY (`idmiss`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=17 ;

-- --------------------------------------------------------

--
-- Table structure for table `nivell`
--

DROP TABLE IF EXISTS `nivell`;
CREATE TABLE IF NOT EXISTS `nivell` (
  `idNivell` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(30) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`idNivell`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Table structure for table `noticia`
--

DROP TABLE IF EXISTS `noticia`;
CREATE TABLE IF NOT EXISTS `noticia` (
  `idnot` int(11) NOT NULL AUTO_INCREMENT,
  `idcoor` int(11) DEFAULT NULL REFERENCES usuari(id),
  `dates` date NOT NULL,
  `dirigit` int(11) NOT NULL,
  `titol` text COLLATE latin1_general_ci NOT NULL,
  `noticia` text COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`idnot`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=16 ;

-- --------------------------------------------------------

--
-- Table structure for table `pregunta`
--

DROP TABLE IF EXISTS `pregunta`;
CREATE TABLE IF NOT EXISTS `pregunta` (
  `idPregunta` int(11) NOT NULL AUTO_INCREMENT,
  `preg` varchar(500) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`idPregunta`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=7 ;

-- --------------------------------------------------------

--
-- Table structure for table `provincia`
--

DROP TABLE IF EXISTS `provincia`;
CREATE TABLE IF NOT EXISTS `provincia` (
  `idProvincia` int(11) NOT NULL AUTO_INCREMENT,
  `idComunitat` int(11) DEFAULT NULL REFERENCES comunitat(idComunitat),
  `nom` varchar(60) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`idProvincia`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=7 ;

-- --------------------------------------------------------

--
-- Table structure for table `seccio`
--

DROP TABLE IF EXISTS `seccio`;
CREATE TABLE IF NOT EXISTS `seccio` (
  `idSeccio` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(45) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`idSeccio`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=11 ;

-- --------------------------------------------------------

--
-- Table structure for table `transport`
--

DROP TABLE IF EXISTS `transport`;
CREATE TABLE IF NOT EXISTS `transport` (
  `idTransport` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(60) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`idTransport`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

--
-- Table structure for table `usuari`
--

DROP TABLE IF EXISTS `usuari`;
CREATE TABLE IF NOT EXISTS `usuari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fecha` date NOT NULL,
  `nick` varchar(20) COLLATE latin1_general_ci NOT NULL,
  `pass` varchar(300) COLLATE latin1_general_ci NOT NULL,
  `mail` varchar(40) COLLATE latin1_general_ci NOT NULL,
  `genere` int(11) DEFAULT '3',
  `datanaixement` date DEFAULT NULL,
  `nom` varchar(20) COLLATE latin1_general_ci DEFAULT NULL,
  `pcognom` varchar(20) COLLATE latin1_general_ci DEFAULT NULL,
  `scognom` varchar(20) COLLATE latin1_general_ci DEFAULT NULL,
  `socVocal` int(11) DEFAULT '0',
  `socCoordinador` int(11) DEFAULT '0',
  `socAdmin` int(11) DEFAULT '0',
  `tincDrets` int(11) DEFAULT '0',
  `pregunta` int(11) DEFAULT NULL REFERENCES pregunta(idPregunta),
  `resposta` varchar(50) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `nick` (`nick`,`pass`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=31 ;

-- --------------------------------------------------------

--
-- Table structure for table `vocalAuxiliar`
--

DROP TABLE IF EXISTS `vocalAuxiliar`;
CREATE TABLE IF NOT EXISTS `vocalAuxiliar` (
  `idVocal` int(11) NOT NULL DEFAULT '0' REFERENCES usuari(id),
  `idActivitat` int(11) NOT NULL DEFAULT '0' REFERENCES activitat(idActivitat),
  PRIMARY KEY (`idVocal`,`idActivitat`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
